Embedded GUI: Widgets within editor<%>

1`` | Containers
2`` | Controls
3`` | Control Snips
4`` | Helpers
5`` | Snip Functions

Inherited methods:
from alignment-parent<%>
add-child
delete-child
get-pasteboard
is-shown?
from alignment<%>
align
get-min-height
get-min-width
get-parent
set-min-sizes
show
show/ hide
stretchable-height
stretchable-width
from dllist<%>
for-each
map-to-list
next
prev

Version: 4.0.2
contents
← prev up next →

horizontal-alignment% : class?
superclass: dllist<%>

extends: | alignment<%>
| alignment-parent<%>

(new horizontal-alignment% |  | [parent parent] |
| [ | [show? show?] |
|  | [after after]]) |

→ (is-a?/c horizontal-alignment%)
parent : (is-a?/c alignment-parent<%>)
show? : boolean? = #t
after : (or/c (is-a?/c alignment<%>) false/c) = #f

Inserts a new horizontal-alignment container into parent – optionally after a given container also in parent. The new container can be initially shown or hidden.

contents
← prev up next →